uniform sampler2D tex;

varying vec2 vTexCoord;

void main(void)
{
  vec4 col = texture2D(tex, vTexCoord);
//  col.rgb = col.bbr;//(col.gbr+col.brg)*.5;
  col.rgb = (col.gbr+col.brg)*.5;
//  if (col.g > .01) { 
//    col.xyz = vec3(1.0) - col.xyz; 
//  }
//  else {
//    col.xyz = vec3(0.0);
//  }
  gl_FragColor = col;

}

